org.apache.sling.commons.html

## Enum HtmlElementType

- java.lang.Object
- - java.lang.Enum<HtmlElementType>
  - - org.apache.sling.commons.html.HtmlElementType

All Implemented Interfaces:
  Serializable, Comparable<HtmlElementType>

    public enum HtmlElementType
    extends Enum<HtmlElementType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMMENT`
`DOCTYPE`
`END_TAG`
`EOF`
`START_TAG`
`TEXT`

### Method Summary

All Methods Static Methods Concrete Methods
`static HtmlElementType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HtmlElementType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EOF

    public static final HtmlElementType EOF

#### START_TAG

    public static final HtmlElementType START_TAG

#### COMMENT

    public static final HtmlElementType COMMENT

#### END_TAG

    public static final HtmlElementType END_TAG

#### TEXT

    public static final HtmlElementType TEXT

#### DOCTYPE

    public static final HtmlElementType DOCTYPE

### Method Detail

#### values

    public static HtmlElementType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HtmlElementType c : HtmlElementType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HtmlElementType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null